package cn.iocoder.yudao.module.system.dal.mysql.notice;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.module.system.controller.admin.notice.vo.group.NoticeGroupPageReqVO;
import cn.iocoder.yudao.module.system.dal.dataobject.notice.NoticeGroupDO;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 公告推送用户组 Mapper
 */
@Mapper
public interface NoticeGroupMapper extends BaseMapperX<NoticeGroupDO> {

    default PageResult<NoticeGroupDO> selectPage(NoticeGroupPageReqVO reqVO) {
        return selectPage(reqVO, new LambdaQueryWrapperX<NoticeGroupDO>()
                .likeIfPresent(NoticeGroupDO::getName, reqVO.getName())
                .eqIfPresent(NoticeGroupDO::getStatus, reqVO.getStatus())
                .betweenIfPresent(NoticeGroupDO::getCreateTime, reqVO.getCreateTime())
                .orderByDesc(NoticeGroupDO::getId));
    }

    default List<NoticeGroupDO> selectListByStatus(Integer status) {
        return selectList(NoticeGroupDO::getStatus, status);
    }

}
